import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { BPMNFlowSet } from '../models/bpmn-flow-set';
import { TestBed } from '@angular/core/testing';

@Injectable({
  providedIn: 'root'
})
export class FileService {

  constructor(public http: HttpClient) { }

  // REST CALL: /project/{id}/bpmn/x
  public async getBPMNDiagram(projectId: number): Promise<string> {
    const url = `${environment.apiBaseUrl}project/${projectId}/bpmn/x`;
    return await this.http.get(url, {responseType: 'text'}).toPromise();
  }

  // REST CALL: /project/{id}/update/bpmn/x
  public async getUpdatedBPMNDiagram(projectId: number): Promise<string> {
    const url = `${environment.apiBaseUrl}project/${projectId}/update/bpmn/x`;
    return <string>await this.http.get(url, {responseType: 'text'}).toPromise();
  }
}
